Name:         firewall-rh
Release:      6
Copyright:    GPL
Group:        Utilities/System
Provides:     firewall 
Requires:     ipchains
Autoreqprov:  on
Packager:     mz@webideal.de
Summary:      Firewall and masquerading scripts for RedHat
Vendor:	      webideal (http://www.webideal.de)
Version:      2.2
Source0:      firewall-2.2.tgz
Buildroot:    /tmp/%{name}-%{version}
BuildArchitectures: noarch
Obsoletes:     firewall

%description
Two scripts to configure your machine as a firewall and/or masquerading
router, originally written for SuSE, now adapted to RedHat 6.0
See /usr/doc/firewall-2.2 for more details.

Authors:
--------
    Bodo Bauer <bb@ricochet.net>

%changelog
* Sat May 20 2000 Mirko Zeibig <mz@webideal.de>
- now status in masquerade exhibits same behaviour as firewall, use
  list to show currently masked connections
- tested with RedHat 6.2
* Sun Jan 01 2000 Mirko Zeibig <mz@webideal.de>
- still had /bin/bash2 in masquerade ...
* Fri Dec 10 1999 Mirko Zeibig <mz@webideal.de>
- got rid ob bash2-dependance, which did not work on boot
  as initscripts are evaluated using bash1 on RedHat
- got rid of FC
- changed the name to firewall-rh, so this is not confused 
  with the SuSE-script-package
* Tue Sep 21 1999 Mirko Zeibig <mirko.zeibig@gmx.de>
- changed the config-file a bit, included Back Orifice and Netbus in locked
  ports
* Wed Jul 28 1999 Mirko Zeibig <mirko.zeibig@gmx.de>
- changed the scripts so they do run with RedHat 6.0
- all rc.config-settings go to /etc/sysconfig/firewall/config
- all other config-files (fw-friends, fw-inout, fw-ssh) do
  reside in /etc/sysconfig/firewall/ as well
- with RH you will need bash2 as well!!

%prep

%setup -q -n firewall-2.2

%build

%install
INST_ROOT=$RPM_BUILD_ROOT
rm -rf $INST_ROOT
mkdir -p $INST_ROOT/usr/sbin
mkdir -p $INST_ROOT/etc/rc.d/init.d
mkdir -p $INST_ROOT/etc/sysconfig/firewall
/usr/bin/install Skripts/firewall -m 740 $INST_ROOT/etc/rc.d/init.d/
/usr/bin/install Skripts/masquerade -m 740 $INST_ROOT/etc/rc.d/init.d/
/usr/bin/install Skripts/config -m 440 $INST_ROOT/etc/sysconfig/firewall/
cd $INST_ROOT/usr/sbin
ln -sf ../../etc/rc.d/init.d/firewall rcfirewall
ln -sf ../../etc/rc.d/init.d/masquerade rcmasquerade

%clean
INST_ROOT=$RPM_BUILD_ROOT
rm -rf $INST_ROOT

%files
%doc Doc/*
%defattr(440,root,root)
%config /etc/sysconfig/firewall/config
%defattr(740,root,root)
/etc/rc.d/init.d/firewall
/etc/rc.d/init.d/masquerade
/usr/sbin/rcfirewall
/usr/sbin/rcmasquerade

%post 
[ -x /sbin/chkconfig ] && {
echo "Set up links in rc.d ..."
/sbin/chkconfig --add firewall
/sbin/chkconfig --add masquerade
}
cat <<EOF 
Make sure to edit /etc/sysconfig/firewall/config
before starting the firewall.
EOF

%preun
echo "Taking down firewall and masquerade"
[ -f /var/lock/subsys/firewall ] && /etc/rc.d/init.d/firewall stop
[ -f /var/lock/subsys/masquerade ] && /etc/rc.d/init.d/masquerade stop
[ -x /sbin/chkconfig ] && {
echo "Remove links in rc.d ..."
/sbin/chkconfig --del firewall
/sbin/chkconfig --del masquerade
}





